Loading...
Searching...
No Matches
SignedFloodFillOp< TreeOrLeafManagerT > Class Template Reference

`#include <openvdb/tools/SignedFloodFill.h>`

## Public Types

using | ValueT = typename TreeOrLeafManagerT::ValueType
using | RootT = typename TreeOrLeafManagerT::RootNodeType
using | LeafT = typename TreeOrLeafManagerT::LeafNodeType

## Public Member Functions

| SignedFloodFillOp (const TreeOrLeafManagerT &tree, Index minLevel=0)
| SignedFloodFillOp (ValueT outsideValue, ValueT insideValue, Index minLevel=0)
void | operator() (LeafT &leaf) const
template<typename NodeT>
void | operator() (NodeT &node) const
void | operator() (RootT &root) const

## Member Typedef Documentation

## LeafT

template<typename TreeOrLeafManagerT>

using LeafT = typename TreeOrLeafManagerT::LeafNodeType

## RootT

template<typename TreeOrLeafManagerT>

using RootT = typename TreeOrLeafManagerT::RootNodeType

## ValueT

template<typename TreeOrLeafManagerT>

using ValueT = typename TreeOrLeafManagerT::ValueType

## Constructor & Destructor Documentation

## SignedFloodFillOp() [1/2]

template<typename TreeOrLeafManagerT>

SignedFloodFillOp | ( | const TreeOrLeafManagerT & | tree,
|  | Index | minLevel = 0 )

inline

## SignedFloodFillOp() [2/2]

template<typename TreeOrLeafManagerT>

SignedFloodFillOp | ( | ValueT | outsideValue,
|  | ValueT | insideValue,
|  | Index | minLevel = 0 )

inline

## Member Function Documentation

## operator()() [1/3]

template<typename TreeOrLeafManagerT>

void operator() | ( | LeafT & | leaf | ) | const

inline

## operator()() [2/3]

template<typename TreeOrLeafManagerT>
template<typename NodeT>

void operator() | ( | NodeT & | node | ) | const

inline

## operator()() [3/3]

template<typename TreeOrLeafManagerT>

void operator() | ( | RootT & | root | ) | const

inline